Update Findings Status
Allows organizations to update the status of their findings.
Authorization
http Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.
In: header
Path Parameters
The unique identifier of the finding to be updated
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
New status value for the finding
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.ethiack.com/v1/findings/string/status" \ -H "Content-Type: application/json" \ -d '{ "status": 0 }'{
"result": "string",
"finding_id": "string"
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}Start Retest POST
Start a retest for a specific finding to check if the finding is still valid or has been resolved. The retest will be performed asynchronously. The retest status can be checked using the **`GET /v1/findings/{finding_id}/retest`** endpoint. > **Info**: Retesting is used to update the status of a finding, enabling the > user to check if the finding is still valid or has been resolved.
API version GET
Retrieves the current API version.